- Qt 5.5
- Qt3D Module
- C++ Classes
- QFrameChunk
- Qt 5.5.1 Reference Documentation

# QFrameChunk Class

(Qt3D::QFrameChunk)

- List of all members, including inherited members

## Public Functions

void * | allocate(uint blockSize)
void | clear(uint blockSize, uchar blocks)
bool | contains(void * p, uint blockSize)
void | deallocate(void * p, uint blockSize)
void | init(uint blockSize, uchar blocks)
bool | isEmpty() const
void | release()

## Member Function Documentation

### void * QFrameChunk::allocate(uint blockSize)

### void QFrameChunk::clear(uint blockSize, uchar blocks)

### bool QFrameChunk::contains(void * p, uint blockSize)

### void QFrameChunk::deallocate(void * p, uint blockSize)

### void QFrameChunk::init(uint blockSize, uchar blocks)

### bool QFrameChunk::isEmpty() const

### void QFrameChunk::release()